Bug 2033821 - Branch and build scitokens-cpp in epel9
Summary: Branch and build scitokens-cpp in epel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: scitokens-cpp
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Derek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-17 23:27 UTC by Mattias Ellert
Modified: 2021-12-31 02:00 UTC (History)
1 user (show)

Fixed In Version: scitokens-cpp-0.6.2-4.fc35 scitokens-cpp-0.6.2-4.el8 scitokens-cpp-0.6.2-4.fc34 scitokens-cpp-0.6.2-4.el9 scitokens-cpp-0.6.2-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-31 01:20:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Mattias Ellert 2021-12-17 23:27:11 UTC
Could you branch and build scitokens-cpp for EPEL9?

All dependencoes are available.

Attempted scratchbuild:
https://koji.fedoraproject.org/koji/taskinfo?taskID=80134937

The scratch build fails because EPEL 9 uses openssl 3 and the build flags used says to fail on deprecated functions (-Werror).
The last build in rawhide also failed for the same reason.

Comment 1 Mattias Ellert 2021-12-21 00:19:38 UTC
This PR to fix rawhide also fixes EPEL 9 build:
https://src.fedoraproject.org/rpms/scitokens-cpp/pull-request/2

Comment 2 Derek 2021-12-21 01:05:29 UTC
I requested the epel9 branch:
https://pagure.io/releng/fedora-scm-requests/issue/39944

f35 update in bodhi:
https://bodhi.fedoraproject.org/updates/FEDORA-2021-4c93a7ac51

Comment 3 Fedora Update System 2021-12-22 00:35:29 UTC
FEDORA-2021-b849ab983e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b849ab983e

Comment 4 Fedora Update System 2021-12-22 00:35:31 UTC
FEDORA-EPEL-2021-e4e43f449d has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-e4e43f449d

Comment 5 Fedora Update System 2021-12-22 00:35:34 UTC
FEDORA-EPEL-2021-cb7fb99c41 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-cb7fb99c41

Comment 6 Fedora Update System 2021-12-22 00:35:36 UTC
FEDORA-EPEL-2021-b4052453a5 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-b4052453a5

Comment 7 Fedora Update System 2021-12-22 00:35:38 UTC
FEDORA-2021-0d11065cbc has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0d11065cbc

Comment 8 Fedora Update System 2021-12-23 01:08:26 UTC
FEDORA-2021-b849ab983e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b849ab983e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b849ab983e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-12-23 01:42:58 UTC
FEDORA-2021-0d11065cbc has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0d11065cbc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0d11065cbc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-12-23 01:53:10 UTC
FEDORA-EPEL-2021-cb7fb99c41 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-cb7fb99c41

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-12-23 01:56:18 UTC
FEDORA-EPEL-2021-e4e43f449d has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-e4e43f449d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-12-23 02:06:07 UTC
FEDORA-EPEL-2021-b4052453a5 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-b4052453a5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-12-31 01:20:23 UTC
FEDORA-2021-0d11065cbc has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-12-31 01:34:24 UTC
FEDORA-EPEL-2021-e4e43f449d has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-12-31 01:34:27 UTC
FEDORA-2021-b849ab983e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-12-31 01:47:15 UTC
FEDORA-EPEL-2021-cb7fb99c41 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-12-31 02:00:01 UTC
FEDORA-EPEL-2021-b4052453a5 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.